import { html } from 'lit-html';
const meta = {
    title: 'Number Field',
    component: 'zero-number-field',
};
export default meta;
export const Primary = {
    render: () => html `
    <div style="display: flex; gap: 2rem;">
      <zero-number-field placeholder="number" withFormatting>with formatting:</zero-number-field>
      <zero-number-field placeholder="number">without formatting:</zero-number-field>
      <zero-number-field placeholder="number" min="6" withFormatting>
        Min 6 - with formatting
      </zero-number-field>
      <zero-number-field placeholder="number" min="6" max="60">
        Min 6, Max 60 - without formatting
      </zero-number-field>
      <zero-number-field placeholder="number" min="1" value=${undefined}>
        Value is undefined (min 1)
      </zero-number-field>
      <zero-number-field placeholder="number" min="1" value=${null}>
        Value is null (min 1)
      </zero-number-field>
    </div>
  `,
};
